## org.apache.commons.configuration.resolver
Interface EntityResolverSupport

All Known Implementing Classes:
  MultiFileHierarchicalConfiguration

    public interface EntityResolverSupport

Interface that identifies the class as using an EntityResolver

Since:
  1.7
Version:
  $Id: EntityResolverSupport.java 1206761 2011-11-27 16:35:34Z oheger $
Author:
  Commons Configuration team

Method Summary
`EntityResolver` `getEntityResolver()` Return the EntityResolver associated with the class.
`void` `setEntityResolver(EntityResolver resolver)` Set the EntityResolver to associate with this class.

Method Detail

### getEntityResolver

    EntityResolver getEntityResolver()

  Return the EntityResolver associated with the class.

  Returns:
    The EntityResolver.

### setEntityResolver

    void setEntityResolver(EntityResolver resolver)

  Set the EntityResolver to associate with this class.

  Parameters:
    `resolver` - The EntityResolver

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.